Package: groovy.console.ui

## [Groovy] Class GeneratedBytecodeAwareGroovyClassLoader

- groovy.console.ui.GeneratedBytecodeAwareGroovyClassLoader

-     @CompileStatic
      class GeneratedBytecodeAwareGroovyClassLoader
      extends GroovyClassLoader

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class GroovyClassLoader` | `classCache, sourceCache`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `GeneratedBytecodeAwareGroovyClassLoader(GroovyClassLoader parent)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `void` | `clearBytecodeTable()`
    `` | `protected GroovyClassLoader.ClassCollector` | `createCollector(CompilationUnit unit, SourceUnit su)`
    `` | `byte[]` | `getBytecode(String className)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class GroovyClassLoader` | `addClasspath, addURL, clearCache, close, createCollector, createCompilationUnit, defineClass, defineClass, genEncodingString, generateScriptName, getClassCacheEntry, getClassPath, getLoadedClasses, getPermissions, getResourceLoader, getTimeStamp, hasCompatibleConfiguration, isRecompilable, isShouldRecompile, isSourceNewer, loadClass, loadClass, loadClass, loadClass, loadGroovySource, parseClass, parseClass, parseClass, parseClass, parseClass, parseClass, recompile, removeClassCacheEntry, setClassCacheEntry, setResourceLoader, setShouldRecompile`

- - ### Constructor Detail

    - #### GeneratedBytecodeAwareGroovyClassLoader(GroovyClassLoader parent)

  - ### Method Detail

    - #### void clearBytecodeTable()

    - #### @Override
      protected GroovyClassLoader.ClassCollector createCollector(CompilationUnit unit, SourceUnit su)

    - #### byte[] getBytecode(String className)